<?php

/**
* @author Steven | www.phreakyourgeek.com
* @contact htmlpro@gmail.com
* @copyright 2009
* @software plugin -> MyBB
*/

if(!defined("IN_MYBB"))
{
	die('You cannot directly access this file. To use, activate the "Custom Footer" plugin from the MyBB admin panel.');
}

$plugins->add_hook("global_end", "customfooter_execute");

function customfooter_info()
{
	return array(
		'name' => 'Steven\'s Custom Footer',
		'description' => 'Adds a global custom footer to the forum.',
		'website' => 'http://www.phreakyourgeek.com/',
		'author' => 'Steven',
		'authorsite' => 'http://www.phreakyourgeek.com/info.php',
		'version' => '1.0.0',
		'compatibility' => '14*'
	);
}

function customfooter_activate()
{
	global $db;

	$settings_group = array(
		'name' => 'customfooter',
		'title' => 'Custom Footer Settings',
		'description' => 'This section allows you to manage the settings for your custom footer',
		'disporder' => '1',
		'isdefault' => '0'
	);
	$db->insert_query('settinggroups',$settings_group);
	$gid = $db->insert_id();

	$setting = array(
		'name' => 'customfooterenable',
		'title' => $db->escape_string('Enable Steven\'s Custom Footer'),
		'description' => $db->escape_string('<br /><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=htmlpro%40gmail%2ecom&lc=US&item_name=Steven%27s%20Scripts%2fDonation%2fHosting%20Costs&currency_code=USD&bn=PP%2dDonationsBF%3adonate_button%2epng%3aNonHosted" target="_blank"><span style="font-size:90%;font-weight:bold;">Find my plugin useful? A donation is always helpful to cover hosting and development costs.</span><br /><br /><img src="https://www.paypal.com/en_US/i/btn/btn_donate_SM.gif" alt="Donate" /></a><br /><br />Enable the custom footer?'),
		'optionscode' => 'yesno',
		'value' => '1',
		'disporder' => '1',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);

	$setting = array(
		'name' => 'customfootercode',
		'title' => 'Code',
		'description' => 'Enter the HTML code for the footer.',
		'optionscode' => 'textarea',
		'value' => '',
		'disporder' => '2',
		'gid' => intval($gid)
		);
	$db->insert_query('settings',$setting);

	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets('footer', '#{\$auto_dst_detection}#', "{\$auto_dst_detection}\n<!-- CUSTOMFOOTER -->");

	$template = array(
		'title' => 'custom_footer',
		'template' => "<div style=\"width:100%;text-align:center;\" class=\"smalltext\">{\$customfootercode}</div>",
		'sid' => '-1'
	);
	$db->insert_query('templates',$template);

	rebuild_settings();
}

function customfooter_deactivate()
{
	global $db;

	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='customfooter'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='customfooterenable'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='customfootercode'");

	$db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='custom_footer'");

	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets('footer', '#(\n?)<!-- CUSTOMFOOTER -->#', '', 0);

	rebuild_settings();
}

function customfooter_execute()
{
	global $mybb, $footer, $templates;

	$customfootercode = '';
	if($mybb->settings['customfooterenable'] == 1)
	{
		$customfootercode = $mybb->settings['customfootercode'];
		eval("\$customfooter = \"".$templates->get("custom_footer")."\";");
		$footer = str_replace("<!-- CUSTOMFOOTER -->",$customfooter,$footer);
	}
}

?>